LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XPropertyWithState Interface Referencepublished

makes it possible to query information about the state of this object, seen as a property contained in a property set. More...

`import"XPropertyWithState.idl";`

Inheritance diagram for XPropertyWithState:

## Public Member Functions
com::sun::star::beans::PropertyState | getStateAsProperty ()
void | setToDefaultAsProperty () raises ( com::sun::star::lang::WrappedTargetException )
| sets this to its default value. More...
com::sun::star::uno::XInterface | getDefaultAsProperty () raises ( com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to query information about the state of this object, seen as a property contained in a property set.

This interface provides direct access to operations that are available if the containing property set implements XPropertyState.

The state contains the information if:

- a value is available or void
- the value is stored in the object itself, or if a default value is being used
- or if the value cannot be determined, due to ambiguity (multi selection with multiple values).

Generally objects that implement this interface also implement XProperty.

## Member Function Documentation

## ◆ getDefaultAsProperty()

com::sun::star::uno::XInterface getDefaultAsProperty | ( |  | ) |
raises | ( | com::sun::star::lang::WrappedTargetException
| ) |  |

Returns
  an object representing the default state of this object (as a property).

If no default exists, is not known or is void, then the return value is `NULL`.

Exceptions

  com::sun::star::lang::WrappedTargetException | if the implementation has an internal reason for the exception. In this case the original exception is wrapped into that com::sun::star::lang::WrappedTargetException.

## ◆ getStateAsProperty()

com::sun::star::beans::PropertyState getStateAsProperty | ( |  | ) |

Returns
  the state of this as a property.

## ◆ setToDefaultAsProperty()

void setToDefaultAsProperty | ( |  | ) |
raises | ( | com::sun::star::lang::WrappedTargetException
| ) |  |

sets this to its default value.

The value depends on the implementation of this interface. If this is a bound property, the value changes before the change events are fired. If this is a constrained property, the vetoable event is fired before the property value changes.

    @throws  com::sun::star::lang::WrappedTargetException
        if the implementation has an internal reason for the exception.
        In this case the original exception is wrapped into that
        com::sun::star::lang::WrappedTargetException.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XPropertyWithState.idl